<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Custom Code Includes
| Filename: custom_code_includes.php
| Version: 1.00
| Author: Adam Gasowski (Gander)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("CCI") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

$inf_folder = "custom_code_includes";

include_once INFUSIONS.$inf_folder."/infusion_db.php";

if (file_exists(INFUSIONS.$inf_folder."/locale/".$settings['locale'].".php")) {
	include INFUSIONS.$inf_folder."/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS.$inf_folder."/locale/English.php";
}

define("ADMIN_PASSWORD_CHECK", (isset($_POST['admin_password']) && md5(md5($_POST['admin_password'])) == $userdata['user_admin_password']) ? $_POST['admin_password'] : "");

if (isset($_POST['save_includes'])) {
	if (ADMIN_PASSWORD_CHECK) {
		$result = dbquery("UPDATE ".DB_CUSTOM_CODE_INCLUDES." SET header_includes='".addslash(trim($_POST['header_includes']))."', footer_includes='".addslash(trim($_POST['footer_includes']))."', header_html='".addslash(trim($_POST['header_html']))."', footer_html='".addslash(trim($_POST['footer_html']))."'");
		redirect(FUSION_SELF.$aidlink, true);
	} else {
		echo "<div class='admin-message'>".$locale['global_182']."</div>\n";
	}
}

if (isset($_POST['preview_includes'])) {
	$header_includes = trim(stripslash($_POST['header_includes']));
	$footer_includes = trim(stripslash($_POST['footer_includes']));
	$header_html = trim(stripslash($_POST['header_html']));
	$footer_html = trim(stripslash($_POST['footer_html']));
	if (!ADMIN_PASSWORD_CHECK) echo "<div class='admin-message'>".$locale['global_182']."</div>\n";
} else {
	$data = dbarray(dbquery("SELECT * FROM ".DB_CUSTOM_CODE_INCLUDES.""));
	$header_includes = stripslashes($data['header_includes']);
	$footer_includes = stripslashes($data['footer_includes']);
	$header_html = stripslashes($data['header_html']);
	$footer_html = stripslashes($data['footer_html']);
}

add_to_title($locale['global_200']."".$locale['cci_000']."");

opentable("".$locale['cci_000']."");
echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='450' class='center'>\n<tr>\n";
echo "<td class='tbl'><strong>".$locale['cci_001']."</strong> (<em>includes/header_includes.php</em>):<br />\n";
echo "<textarea name='header_includes' cols='70' rows='10' class='textbox' style='width:450px'>".phpentities($header_includes)."</textarea></td>\n";
echo "</tr>\n<tr>\n";
if (isset($_POST['preview_includes']) && $header_includes && ADMIN_PASSWORD_CHECK) {
	echo "<td class='tbl'>";
	eval($header_includes);
	echo "</td>";
	echo "</tr>\n<tr>\n";
}
echo "<td class='tbl'><strong>".$locale['cci_002']."</strong> (<em>includes/footer_includes.php</em>):<br />\n";
echo "<textarea name='footer_includes' cols='70' rows='10' class='textbox' style='width:450px'>".phpentities($footer_includes)."</textarea></td>\n";
echo "</tr>\n<tr>\n";
if (isset($_POST['preview_includes']) && $footer_includes && ADMIN_PASSWORD_CHECK) {
	echo "<td class='tbl'>";
	eval($footer_includes);
	echo "</td>";
	echo "</tr>\n<tr>\n";
}
echo "<td class='tbl'><strong>".$locale['cci_003']."</strong> (<em>theme/templates/header.php</em>, ".$locale['cci_004']." &lt;/head&gt;):<br />\n";
echo "<textarea name='header_html' cols='70' rows='10' class='textbox' style='width:450px'>".phpentities($header_html)."</textarea></td>\n";
echo "</tr>\n<tr>\n";
if (isset($_POST['preview_includes']) && $header_html && ADMIN_PASSWORD_CHECK) {
	eval("?><td class='tbl'>".$header_html."</td><?php ");
	echo "</tr>\n<tr>\n";
}
echo "<td class='tbl'><strong>".$locale['cci_005']."</strong> (<em>theme/templates/footer.php</em>, ".$locale['cci_004']." &lt;/body&gt;):<br />\n";
echo "<textarea name='footer_html' cols='70' rows='10' class='textbox' style='width:450px'>".phpentities($footer_html)."</textarea></td>\n";
echo "</tr>\n<tr>\n";
if (isset($_POST['preview_includes']) && $footer_html && ADMIN_PASSWORD_CHECK) {
	eval("?><td class='tbl'>".$footer_html."</td><?php ");
	echo "</tr>\n<tr>\n";
}
echo "<td class='tbl'>".$locale['cci_007']." <input type='password' name='admin_password' value='".ADMIN_PASSWORD_CHECK."' class='textbox' style='width:150px;' /></td>\n";
echo "</tr>\n<tr>\n";

echo "<td align='center' class='tbl'><br />";
echo "<input type='submit' name='save_includes' value='".$locale['cci_008']."' class='button' />\n";
echo "<input type='submit' name='preview_includes' value='".$locale['cci_009']."' class='button' /></td>\n";
echo "</tr>\n</table>\n</form>\n";
closetable();

require_once THEMES."templates/footer.php";
?>