<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion: Custom Code Includes
| Filename: infusion.php
| Version: 1.00
| Author: Adam Gasowski (Gander)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

$inf_folder = "custom_code_includes";

include_once INFUSIONS.$inf_folder."/infusion_db.php";

if (file_exists(INFUSIONS.$inf_folder."/locale/".$settings['locale'].".php")) {
	include INFUSIONS.$inf_folder."/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS.$inf_folder."/locale/English.php";
}

$inf_title = "".$locale['cci_000']."";
$inf_description = "".$locale['cci_006']."";
$inf_version = "1.0";
$inf_developer = "Gander";
$inf_email = "kontakt@myfusion.pl";
$inf_weburl = "http://www.myfusion.pl/";

$inf_newtable[1] = DB_CUSTOM_CODE_INCLUDES." (
  header_includes text NOT NULL,
  footer_includes text NOT NULL,
  header_html text NOT NULL,
  footer_html text NOT NULL
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_CUSTOM_CODE_INCLUDES." (header_includes, footer_includes, header_html, footer_html) VALUES ('', '', '', '');";

$inf_droptable[1] = DB_CUSTOM_CODE_INCLUDES;

$inf_adminpanel[1] = array(
	"title" => "".$locale['cci_000']."",
	"image" => "settings_misc.gif",
	"panel" => "custom_code_includes.php",
	"rights" => "CCI"
);

?>